> For the complete documentation index, see [llms.txt](https://docs.paradime.io/app-help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.paradime.io/app-help/products/code-ide/terminal/paradime-cli.md).

# Paradime CLI

Paradime provide two CLI commands to help you getting started developing your dbt™️ project.

## Initialize your dbt™ project

If you connected an empty git repository, you can use the Paradime CLI to initialize your dbt™️ project using the command:

```bash
paradime repo init
```

Running this CLI command in your terminal will:

* Create a new branch called `initialize-dbt-project`
* Ask you to name your dbt project
* Create a dbt project skeleton with all the dbt™️ folders and files such as the `dbt_project.yml` etc.
* Create a `paradime_schedules.yml` to help you getting started setting up your dbt™️ production run. You can find more info here on [running dbt™️ in production](broken://pages/qVNm5hEcz5wYlabZkJcG).
* Optionally, you will be able also to generate sources.yml files based on your development connection for selected schema/datasets.

When done, simply commit you changes and open your first Pull Request 🙌

{% @arcade/embed url="<https://app.arcade.software/share/NLecn9PgUitWHqltfF8Z>" flowId="NLecn9PgUitWHqltfF8Z" %}

***

### Generate your sources.yml with DinoAI

To generate and/or update your sources.yml files, use [DinoAI's](/app-help/documentation/dino-ai.md) powerful [source generation capabilities](/app-help/documentation/dino-ai/agent-mode/use-cases/creating-sources-from-your-warehouse.md):

**Step 1: Open DinoAI**

1. Click the DinoAI icon (🪄) in the left panel of the Code IDE
2. Ensure **Agent Mode** is selected

**Step 2: Generate Sources**

1. Enter your prompt: *"Create a sources.yml file for my data warehouse"*
2. DinoAI will scan your connected data warehouse
3. Review the generated source definitions
4. Accept the changes to create the files in your project

{% hint style="success" %}
**Benefits of DinoAI Source Generation:**

* **Automatic scanning** of your data warehouse metadata
* **Accurate table and column definitions** with proper data types
* **Proper YAML formatting** following dbt best practices
* **Up-to-date** with your current warehouse schema
  {% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.paradime.io/app-help/products/code-ide/terminal/paradime-cli.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
